com.jogamp.newt.event

## Enum MouseEvent.PointerClass

- java.lang.Object
- - java.lang.Enum<MouseEvent.PointerClass>
  - - com.jogamp.newt.event.MouseEvent.PointerClass

- All Implemented Interfaces:
    InputEvent.InputClass, Serializable, Comparable<MouseEvent.PointerClass>
  Enclosing class:
    MouseEvent

      public static enum MouseEvent.PointerClass
      extends Enum<MouseEvent.PointerClass>
      implements InputEvent.InputClass

  Class of pointer types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Offscreen`
    `Onscreen`
    `Undefined`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MouseEvent.PointerClass` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MouseEvent.PointerClass[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Offscreen

          public static final MouseEvent.PointerClass Offscreen

    - #### Onscreen

          public static final MouseEvent.PointerClass Onscreen

    - #### Undefined

          public static final MouseEvent.PointerClass Undefined

  - ### Method Detail

    - #### values

          public static MouseEvent.PointerClass[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MouseEvent.PointerClass c : MouseEvent.PointerClass.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MouseEvent.PointerClass valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright 2010 JogAmp Community.